Drop zones
Get drop zone constants
Returns the page types and the zones each one allows, for building a drop zone’s settings. The values are fixed by Fluid and the same for every company. Requires the drop_zones view permission.
GET
/
api
/
drop_zones
/
constants
Get drop zone constants
curl --request GET \
--url https://api.fluid.app/api/drop_zones/constants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/drop_zones/constants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/drop_zones/constants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/drop_zones/constants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/drop_zones/constants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/drop_zones/constants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/drop_zones/constants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"constants": {
"page_types": [
"home",
"product",
"checkout",
"cart",
"order_confirmation",
"subscription",
"form",
"product_detail",
"order_detail",
"customer_detail"
],
"checkout_zones": [
"above_order_items",
"below_order_items",
"between_items_and_value",
"below_order_value",
"below_discount_code",
"right_top",
"after_contact",
"after_shipping",
"after_payment",
"after_terms",
"above_order_details",
"below_total",
"above_fast_checkout",
"below_contact",
"below_shipping_address",
"below_shipping_method",
"below_payment_method",
"below_terms"
],
"cart_zones": [
"above_checkout",
"above_items",
"below_items",
"footer"
],
"order_confirmation_zones": [
"below_total",
"above_order_details",
"below_order_details"
],
"subscription_zones": [
"below_order_actions"
],
"form_zones": [
"above_form",
"below_form"
],
"admin_record_detail_zones": [
"right_column_top",
"right_column_bottom",
"left_column_top",
"left_column_bottom"
],
"page_zones": {
"home": [
"header",
"footer",
"sidebar",
"main"
],
"cart": [
"above_checkout",
"above_items",
"below_items",
"footer"
],
"form": [
"above_form",
"below_form"
]
},
"home_zones": [
"header",
"footer",
"sidebar",
"main"
],
"product_zones": [
"header",
"footer",
"sidebar",
"main"
]
},
"meta": {
"request_id": "3f9c1a7e-5b2d-4c8e-9a61-2d7f0b4e8c13",
"timestamp": "2026-09-21T09:12:45Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
},
"permission": "drop_zones.view"
}⌘I
Get drop zone constants
curl --request GET \
--url https://api.fluid.app/api/drop_zones/constants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/drop_zones/constants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/drop_zones/constants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/drop_zones/constants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/drop_zones/constants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/drop_zones/constants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/drop_zones/constants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"constants": {
"page_types": [
"home",
"product",
"checkout",
"cart",
"order_confirmation",
"subscription",
"form",
"product_detail",
"order_detail",
"customer_detail"
],
"checkout_zones": [
"above_order_items",
"below_order_items",
"between_items_and_value",
"below_order_value",
"below_discount_code",
"right_top",
"after_contact",
"after_shipping",
"after_payment",
"after_terms",
"above_order_details",
"below_total",
"above_fast_checkout",
"below_contact",
"below_shipping_address",
"below_shipping_method",
"below_payment_method",
"below_terms"
],
"cart_zones": [
"above_checkout",
"above_items",
"below_items",
"footer"
],
"order_confirmation_zones": [
"below_total",
"above_order_details",
"below_order_details"
],
"subscription_zones": [
"below_order_actions"
],
"form_zones": [
"above_form",
"below_form"
],
"admin_record_detail_zones": [
"right_column_top",
"right_column_bottom",
"left_column_top",
"left_column_bottom"
],
"page_zones": {
"home": [
"header",
"footer",
"sidebar",
"main"
],
"cart": [
"above_checkout",
"above_items",
"below_items",
"footer"
],
"form": [
"above_form",
"below_form"
]
},
"home_zones": [
"header",
"footer",
"sidebar",
"main"
],
"product_zones": [
"header",
"footer",
"sidebar",
"main"
]
},
"meta": {
"request_id": "3f9c1a7e-5b2d-4c8e-9a61-2d7f0b4e8c13",
"timestamp": "2026-09-21T09:12:45Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
},
"permission": "drop_zones.view"
}